<?xml version="1.0" encoding="UTF-8"?>
	<!DOCTYPE mapper
	  PUBLIC "-//mybatis.org//DTD Mapper 3.1//EN"
	  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.mapper.configuration.NodeInformationMapper">
	<select id="selectMaxIndex" parameterType="String" resultType="Long" >
		select nvl(max(node_index),0) from NodeInformation

	</select>

	<select id="testName" resultType="NodeInformation" >
		select * from NodeInformation where node_name = #{nodeName} and node_index != #{nodeIndex} and Node_Status = 1
	</select>

	<select id="setIp"  resultType="NodeInformation">
        select t.node_ip from NODEINFORMATION t where t.node_index=#{nodeIndex}
    </select>

	<select id="selectAllExcelData" resultType="NodeInformationExcelBody">
		select * from NODEINFORMATION
	</select>

	<select id="selByName" resultType="NodeInformation">
		select * from NODEINFORMATION where  node_name = #{nodeName} and Node_Status = 1
	</select>

	<select id="getMaxOrder" resultType="int">
		select max(node_order) from NODEINFORMATION
	</select>
</mapper>
